function Img() {
  
  
  this.loadingScreenImage;
  
  this.sources = {
    tiles : "img/tiles.png",
    mapBG : "img/map_bg.png",
    milton : "img/milton.png",
    lighting : "img/lighting.png",
    torch : "img/torch.png",
    font : "img/font.png",
    counter : "img/counter.png",
    timer : "img/timer.png",
    exitLight : "img/exit_light.png",
    startLight : "img/start_light.png",
    placeYourTorches : "img/place_your_torches.png",
    runToTheExit : "img/run_to_the_exit.png",
    resetAudio : "img/reset_audio.png",
    editor : "img/editor.png",
    alertBox : "img/alert_box.png",
    button : "img/button.png",
    buttonBlue : "img/button_blue.png",
    logo : "img/logo.png",
    menuBG : "img/menu_bg.png"
  };
 
  this.assets = {};
  
  this.loadedAssets = 0;
  
  this.FAKE_LOADING_TIME = 2000;
  
  
  this.loadLoadingScreen = function() {
    this.loadingScreenImage = new Image();
    this.loadingScreenImage.onload = function() {
      game.showLoadingScreen();
      img.load();
    };
    this.loadingScreenImage.src = "img/loading.png";
  };
  
  
  this.load = function() {
    for(var name in this.sources) {
      this.assets[name] = new Image();
      this.assets[name].onload = function() {
        img.finishLoading();
      };
      this.assets[name].src = this.sources[name];
    }
  };
  
  
  this.finishLoading = function() {
    this.loadedAssets++;
    if(this.loadedAssets == Object.keys(this.sources).length) {
      window.setTimeout(function() {
        game.hideLoadingScreen();
      }, this.FAKE_LOADING_TIME);
    }
  };
  
  
  this.get = function(name) {
    return this.assets[name];
  };
  
  
  
}