function Keyboard() {
  
  this.ARROW_LEFT = 37;
  this.ARROW_UP = 38;
  this.ARROW_RIGHT = 39;
  this.ARROW_DOWN = 40;
  
  this.keyPressed = {};
  
  
  this.init = function() {
    jQuery(window).keydown(function(event) {
      event.preventDefault();
      keyboard.keyPressed[event.which] = true;
      
    }).keyup(function(event) {
      event.preventDefault();
      keyboard.keyPressed[event.which] = false;
    });
  };
  
  
  this.isPressed = function(key) {
    if(!this.keyPressed.hasOwnProperty(key)) {
      return false;
    }
    return this.keyPressed[key];
  };
  
  
}