function Torch() {
  
  this.x = 0;
  this.y = 0;
  
  this.animationStep = 0; 
  
  this.particles = {};
  this.particleCounter = 0;
  
  this.particleType = 0;
  
  
  this.position = function(x, y) {
    this.x = 4 * Math.round((x - 2) / 4);
    this.y = 4 * Math.round((y - 2) / 4);
  };
  
  
  this.draw = function(inFrontOfMilton) {
    if((inFrontOfMilton && this.y > game.milton.y) || (!inFrontOfMilton && this.y <= game.milton.y)) {
      
      c.drawImage(img.get("torch"), this.animationStep * 4, 0, 4, 12, this.x, this.y - 8, 4, 12);
      
      if(!game.map.showAlertBox) {
        
        this.particles[this.particleCounter] = new Particle();
        this.particles[this.particleCounter].init(this.particleType, this.x, this.y - 8);
        this.particleCounter++;
        this.particleType = (this.particleType + 1) % 2;
        
        for(var particleId in this.particles) {
          if(this.particles[particleId].life < 0) {
            delete this.particles[particleId];
          } else {
            this.particles[particleId].draw();
          }
        }
      
        this.animationStep++;
        if(this.animationStep >= 128) {
          this.animationStep = 0;
        }
      }
      
    } 
  };
  
}