function Text() {
  
  this.x = 0;
  this.y = 0;
  
  this.chars = [];
  this.charX = [];
  
  this.width = 0;
  
  this.animateText = false;
  
  this.centerText = false;
  
  this.animateStep = 0;
  
  
  this.position = function(x, y) {
    this.x = x;
    this.y = y;
  };
  
  
  this.text = function(text) {
    this.chars = [];
    this.charX = [];
    var x = 0;
    this.width = 0;
    for(var i = 0; i < text.length; i++) {
      var c = text.charCodeAt(i) - 32;
      this.chars[i] = c;
      this.charX[i] = x;
      var charWidth = this.charWidth(c);
      x += charWidth;
      this.width += charWidth;
    }
  };
  
  
  this.charWidth = function(c) {
    if(c == 1 || c == 7 || c == 12 || c == 14 || c == 26 || c == 27) {
      return 8;
    } else if(c == 8 || c == 9 || c == 59 || c == 61 || c == 64) {
      return 12;
    } else if(c == 2 || c == 10 || c == 11 || c == 13 || c == 28 || c == 30 || c == 41 || c == 62 || c == 73 || c == 74 || c == 76 || c == 84 || c == 91 || c == 92 || c == 93) {
      return 16;
    } else if(c == 3 || c == 4 || c == 5 || c == 6 || c == 15 || c == 31 || c == 32 || c == 45 || c == 52 || c == 54 || c == 55 || c == 56 || c == 57 || c == 58 || c == 60 || c == 77 || c == 86 || c == 87) {
      return 24;
    }
    return 20;
  };
  
  
  this.animate = function() {
    this.animateText = true;
  };
  
  
  this.center = function() {
    this.centerText = true;
  };
  
  
  this.draw = function() {
    var end = this.chars.length;
    if(this.animateText) {
      this.animateStep++;
      end = Math.ceil(this.animateStep / 3);
      if(end > this.chars.length) {
        end = this.chars.length;
        this.animateText = false;
      }
    }
    var startX = this.x;
    if(this.centerText) {
      startX -= (this.width / 2);
    }
    startX = 4 * Math.round(startX / 4);
    for(var i = 0; i < end; i++) {
      var sx = this.chars[i] * 28;
      var sy = 0;
      var sw = 28;
      var sh = 32;
      c.drawImage(img.get("font"), sx, sy, sw, sh, startX + this.charX[i], this.y, 28, 32);
    }
  };
  
  
}